> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/table-tennis/live-data-scenarios/pre-match.md).

# 01. Pre-Match

## Overview

The following packets are expected at the beginning of every match.

1. Players Confirmed
2. In Progress

## 1. Players Confirmed

**Event Element Type:** Match Status Update

The first packet that is received is the 'Players Confirmed' packet. This indicates that players are at the table and are preparing for the match.

```
{
    "eventElementType": "MatchStatusUpdate",
    "id": 999991,
    "seqNum": 1,
    "matchStatus": {
        "matchState": {
            "state": "PlayersConfirmed",
            "isExpedited": false
        },
        "teamAPlayer1": "HARIMOTO Tomokazu",
        "teamBPlayer1": "OVTCHAROV Dimitrij",
        "table": "Table 1",
        "teamAPlayersDetails": {
            "player1Id": 23,
            "player1Gender": "M",
            "player1Organisation": "JPN"
        },
        "teamBPlayersDetails": {
            "player1Id": 47,
            "player1Gender": "M",
            "player1Organisation": "GER"
        }
    },
    "timestamp": "2021-07-13T13:38:22.867Z"
}
```

## 2. In Progress

**Event Element Type:** Match Status Update

The next packet, 'In Progress', will indicate that the match has started.

```
{
    "eventElementType": "MatchStatusUpdate",
    "id": 999991,
    "seqNum": 2,
    "matchStatus": {
        "matchState": {
            "state": "InProgress",
            "isExpedited": false
        },
        "teamAPlayer1": "HARIMOTO Tomokazu",
        "teamBPlayer1": "OVTCHAROV Dimitrij",
        "table": "Table 1",
        "firstServer": "TeamA",
        "teamAPlayersDetails": {
            "player1Id": 23,
            "player1Gender": "M",
            "player1Organisation": "JPN"
        },
        "teamBPlayersDetails": {
            "player1Id": 47,
            "player1Gender": "M",
            "player1Organisation": "GER"
        }
    },
    "timestamp": "2021-07-13T13:40:28.808Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/table-tennis/live-data-scenarios/pre-match.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
